using FastEndpoints;
using FluentValidation;
using Knots.DTO.User;

namespace Knots.Validators.User;

public class UpdateUserProfilePictureDtoValidator : Validator<UpdateUserProfilePictureDto>
{
    public UpdateUserProfilePictureDtoValidator()
    {
        RuleFor(x => x.ProfilePicture)
            .NotEmpty()
            .WithMessage("La photo de profil ne doit pas être vide");
    }   
}